Loading...
Searching...
No Matches
Globus GSS Assist

Convenience Functions for GSSAPI. More...

## Topics

| Activation
| Module Activation.
| Token Transport
| Send and Receive Security Tokens.
| Credential Management
| Acquire Credential.
| Security Context Management
| Security Context Creation and Use.
| GSSAPI Result Status Strings
| Display Error Status from a GSSAPI Result.
| Gridmap Authorization
| Gridmap Authorization and Local User Mapping.
| GSI GSS Assist Constants
| Constant Definitions.

## Functions

globus_result_t | globus_gss_assist_authorization_host_name (char *hostname, gss_name_t *authorization_hostname)
OM_uint32 | globus_gss_assist_wrap_send (OM_uint32 *minor_status, const gss_ctx_id_t context_handle, char *data, size_t length, int *token_status, int(*gss_assist_send_token)(void *, void *, size_t), void *gss_assist_send_context, FILE *fperr)
| Wrap.

## Detailed Description

Convenience Functions for GSSAPI.

The GSS Assist code provides convenience functions for using the Globus GSS-API.

This API includes

- Activation
- Credential Management
- Security Context Management
- Gridmap Authorization
- Token Transport
- GSSAPI Result Status Strings
- GSI GSS Assist Constants

## Function Documentation

## globus_gss_assist_authorization_host_name()

globus_result_t globus_gss_assist_authorization_host_name | ( | char * | hostname,
|  | gss_name_t * | authorization_hostname )

Create a GSS Name structure from the given hostname. This function tries to resolve the given host name string to the canonical DNS name for the host.

Parameters

  hostname | The host name or numerical address to be resolved and transform into a GSS Name
  authorization_hostname | The resulting GSS Name

Returns
  GLOBUS_SUCCESS on successful completion, a error object otherwise

## globus_gss_assist_wrap_send()

OM_uint32 globus_gss_assist_wrap_send | ( | OM_uint32 * | minor_status,
|  | const gss_ctx_id_t | context_handle,
|  | char * | data,
|  | size_t | length,
|  | int * | token_status,
|  | int(* | gss_assist_send_token )(void *, void *, size_t),
|  | void * | gss_assist_send_context,
|  | FILE * | fperr )

Wrap.

Parameters

  minor_status | GSSAPI return code. If the call was successful, the minor status is equal to GLOBUS_SUCCESS. Otherwise, it is an error object ID for which globus_error_get() and globus_object_free() can be used to get and destroy it.
  context_handle | the context.
  data | pointer to application data to wrap and send
  length | length of the data array
  token_status | assist routine get/send token status
  gss_assist_send_token | a send_token routine
  gss_assist_send_context | first arg for the send_token
  fperr | file handle to write error message to.

Returns
  GSS_S_COMPLETE on success Other GSSAPI errors on failure.

See also
  gss_wrap()